package helper

import (
	"golang.org/x/text/encoding/simplifiedchinese"
	"golang.org/x/text/transform"
	"os"
)

func FileExists(filePath string) bool {
	_, err := os.Stat(filePath)
	return err == nil || os.IsExist(err)
}

// ToChinese 处理文件名编码为简体中文
func ToChinese(s string) string {
	encoder := simplifiedchinese.GBK.NewDecoder()
	encodedName, _, _ := transform.String(encoder, s)
	return encodedName
}
